VisualEditor: Tools to set/unset text with annotations (tracker)
Closed, DeclinedPublic

Description

Given that these all exist in DM, it's "just" a question of making a set of icons for each function and adding it to the tool bar (and then working out what to do with a toolbar with eight such icons when we wanted two.

Have left off from the existing list in ve.dm.TextStyleAnnotation.js:

  • span - as that'll need to be a distinct bug given the complexity (it'll need at least an inspector, possibly a dialog)
  • strong/em - should we just silently use these instead of b/i (or vice versa)? Either way, it feels confusing to give the user both options.

Version: unspecified
Severity: enhancement

bzimport set Reference to bz47780.
Jdforrester-WMF created this task.Via LegacyApr 27 2013, 6:37 PM
gerritbot added a comment.Via ConduitMay 18 2013, 11:17 AM

Related URL: https://gerrit.wikimedia.org/r/64475 (Gerrit Change I2f317e1dda2c2e2fceac401768c732dae02e83ce)

Jdforrester-WMF added a comment.Via ConduitMay 20 2013, 11:58 PM

Icons for these are now merged into master; the outstanding work here is relatively light, except for the overall design issue about the toolbar having too many buttons.

gerritbot added a comment.Via ConduitMay 21 2013, 11:44 AM

Related URL: https://gerrit.wikimedia.org/r/64801 (Gerrit Change I51f2605e7d8e2bab1d641f02244d5cd24f505676)

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 4:24 PM
Jdforrester-WMF closed this task as "Declined".Via WebJan 28 2015, 12:38 AM
Jdforrester-WMF claimed this task.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.